import { DataApiQueryType } from '../entities';
export declare class DataApiBaseQuery {
    readonly type: DataApiQueryType;
    readonly query: string;
    readonly variables: any;
    readonly responsePath: string[];
    constructor(type: DataApiQueryType, query: string, variables: any, responsePath: string[]);
    toJson(): {
        query: string;
        variables: Record<string, any>;
    };
}
