import { DataApiBaseQuery } from './queries';
import { DataApiAccountsQueryBuilder, DataApiContractsQueryBuilder, DataApiESDTsQueryBuilder, DataApiNetworkQueryBuilder, DataApiNFTsQueryBuilder, DataApiPortfolioQueryBuilder, DataApiQuotesQueryBuilder, DataApiScResultsQueryBuilder, DataApiStakingQueryBuilder, DataApiTokensQueryBuilder, DataApiTradingQueryBuilder, DataApiTransactionsQueryBuilder, DataApiTransfersQueryBuilder, DataApiXExchangeAnalyticsQueryBuilder, DataApiXMEXQueryBuilder } from './query.builders';
export declare class DataApiQueryBuilder extends DataApiBaseQuery {
    static createAccountsQuery(): DataApiAccountsQueryBuilder;
    static createContractsQuery(): DataApiContractsQueryBuilder;
    static createESDTsQuery(): DataApiESDTsQueryBuilder;
    static createNetworkQuery(): DataApiNetworkQueryBuilder;
    static createNFTsQuery(): DataApiNFTsQueryBuilder;
    static createPortfolioQuery(): DataApiPortfolioQueryBuilder;
    static createQuotesQuery(): DataApiQuotesQueryBuilder;
    static createScResultsQuery(): DataApiScResultsQueryBuilder;
    static createStakingQuery(): DataApiStakingQueryBuilder;
    static createTokensQuery(): DataApiTokensQueryBuilder;
    static createTradingQuery(): DataApiTradingQueryBuilder;
    static createTransactionsQuery(): DataApiTransactionsQueryBuilder;
    static createTransfersQuery(): DataApiTransfersQueryBuilder;
    static createXExchangeAnalyticsQuery(): DataApiXExchangeAnalyticsQueryBuilder;
    static createXMEXQuery(): DataApiXMEXQueryBuilder;
}
