import { BalanceFilter } from '../entities';
import { DataApiBaseQueryBuilder, DataApiFirstLastOrAggregateQueryBuilder } from './internal';
export declare class DataApiAccountsQueryBuilder extends DataApiBaseQueryBuilder {
    constructor();
    count(): DataApiFirstLastOrAggregateQueryBuilder;
    count24h(): DataApiFirstLastOrAggregateQueryBuilder;
    countWithBalance(filter: BalanceFilter): DataApiFirstLastOrAggregateQueryBuilder;
    dailyNumberOfActiveAccounts(): DataApiFirstLastOrAggregateQueryBuilder;
    activeAccounts24h(): DataApiFirstLastOrAggregateQueryBuilder;
}
