"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiScResultsQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiScResultsQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'scresults', args: [] });
    }
    count() {
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    count24h() {
        this.addToPath({ name: 'count24h', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiScResultsQueryBuilder = DataApiScResultsQueryBuilder;
//# sourceMappingURL=scresults.query.builder.js.map