"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiTradingQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiTradingQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'trading', args: [] });
    }
    pairs() {
        this.addToPath({ name: 'pairs', args: [], hasQuery: false });
        return new internal_1.DataApiTradingPairsQueryBuilder(this);
    }
}
exports.DataApiTradingQueryBuilder = DataApiTradingQueryBuilder;
//# sourceMappingURL=trading.query.builder.js.map